> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Variation Orders, filter by query



## OpenAPI

````yaml get /variation_orders
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /variation_orders:
    get:
      tags:
        - Variation Orders
      summary: Retrieve all Variation Orders, filter by query
      parameters:
        - name: created
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30], to search based on created
            timestamp for object.
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: accepted
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on accepted
            timestamp for object.
          schema:
            type: string
        - name: approved
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on approved
            timestamp for object.
          schema:
            type: string
        - name: due_on
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on due_on
            timestamp for object.
          schema:
            type: string
        - name: expires
          in: query
          description: >-
            Date range [2020-01-01+TO+2020-01-30] to search based on expires
            timestamp for object.
          schema:
            type: string
        - name: status
          in: query
          description: Filter by a status
          schema:
            type: string
        - name: job_id
          in: query
          description: Filter by a job_id
          schema:
            type: string
        - name: supplier_id
          in: query
          description: Filter by a supplier_id
          schema:
            type: string
        - name: client_org_id
          in: query
          description: Filter by a client_org_id
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results returned per request
          schema:
            type: integer
        - name: page
          in: query
          description: Paginate results when number of results exceeds limit
          schema:
            type: integer
        - name: sort
          in: query
          description: >-
            Results are sorted by created desc as default.

            Ordering may be specified, available options are ['created',
            'updated', 'approved'], which can be combined in a comma separated
            list,

            e.g. updated:desc,created:asc 
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  variation_orders:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '23'
                        status:
                          type: string
                          example: pending
                        rate:
                          type: string
                          example: '1500.00'
                        rate_ccy:
                          type: string
                          example: GBP
                        original_rate:
                          type: string
                          example: '55500.00'
                        original_rate_ccy:
                          type: string
                          example: GBP
                        declined_reason:
                          type: string
                          example: project cancelled
                        skip_acceptance:
                          type: string
                          example: 'true'
                        start_date:
                          type: string
                          format: date-time
                        due_on:
                          type: string
                          format: date-time
                        expires_at:
                          type: string
                          format: date-time
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        accepted_at:
                          type: string
                          format: date-time
                        approved_at:
                          type: string
                          format: date-time
                        approved_by:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '7158'
                            first_name:
                              type: string
                              example: Jack
                            last_name:
                              type: string
                              example: Jones
                            email:
                              type: string
                              example: jack_jones@example.com
                            org_name:
                              type: string
                              example: Organisation Ltd
                            org_id:
                              type: number
                              example: '567'
                            business_unit:
                              type: string
                              example: Public Private Partnerships
                            division:
                              type: string
                              example: Infastructure
                            department:
                              type: string
                              example: Housing
                            vetting_status:
                              type: string
                              example: PASSED
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
                            has_oversight:
                              type: boolean
                              example: 'true'
                        created_by:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '7158'
                            first_name:
                              type: string
                              example: Jack
                            last_name:
                              type: string
                              example: Jones
                            email:
                              type: string
                              example: jack_jones@example.com
                            org_name:
                              type: string
                              example: Organisation Ltd
                            org_id:
                              type: number
                              example: '567'
                            business_unit:
                              type: string
                              example: Public Private Partnerships
                            division:
                              type: string
                              example: Infastructure
                            department:
                              type: string
                              example: Housing
                            vetting_status:
                              type: string
                              example: PASSED
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
                            has_oversight:
                              type: boolean
                              example: 'true'
                        supplier_contract_template:
                          type: string
                          example: Supplier Work Order
                        client_contract_template:
                          type: string
                          example: Client Work Order
                        custom_fields:
                          type: object
                          properties:
                            key:
                              type: string
                              example: value
                        job:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '23'
                            title:
                              type: string
                              example: project title
                            description:
                              type: string
                              example: project description
                        milestone_variations:
                          type: array
                          items:
                            properties:
                              id:
                                type: integer
                                example: '23'
                              client_suggested:
                                type: boolean
                                example: 'true'
                              variation_order_id:
                                type: integer
                                example: '523'
                              milestone_id:
                                type: integer
                                example: '13'
                              order:
                                type: integer
                                example: '1'
                              original_title:
                                type: string
                                example: milestone title
                              original_details:
                                type: string
                                example: milestone details
                              original_rate:
                                type: number
                                format: double
                                example: '1500.00'
                              original_rate_ccy:
                                type: string
                                example: GBP
                              original_due_on:
                                type: string
                                format: date-time
                              varied_title:
                                type: string
                                example: milestone title
                              varied_details:
                                type: string
                                example: milestone details
                              varied_rate:
                                type: number
                                format: double
                                example: '1500.00'
                              varied_rate_ccy:
                                type: string
                                example: GBP
                              varied_due_on:
                                type: string
                                format: date-time
                              created_at:
                                type: string
                                format: date-time
                              updated_at:
                                type: string
                                format: date-time
                              custom_fields:
                                type: object
                                properties:
                                  key:
                                    type: string
                                    example: value
                        job_line_item_variations:
                          type: array
                          items:
                            properties:
                              id:
                                type: integer
                                example: '23'
                              variation_order_id:
                                type: integer
                                example: '523'
                              job_line_item_id:
                                type: integer
                                example: '523'
                              item_type:
                                type: string
                                example: item
                              original_name:
                                type: string
                                example: Server
                              original_manufacturer_name:
                                type: string
                                example: IBM
                              original_manufacturer_part_number:
                                type: string
                                example: X789-A
                              original_quantity:
                                type: string
                                example: '7.0'
                              original_price:
                                type: string
                                example: '1500.00'
                              original_price_ccy:
                                type: string
                                example: GBP
                              original_uom:
                                type: string
                                example: Each
                              original_net_total_price:
                                type: string
                                example: '1500.00'
                              original_net_total_price_ccy:
                                type: string
                                example: GBP
                              variation_type:
                                type: string
                                example: added
                              varied_name:
                                type: string
                                example: Server
                              varied_manufacturer_name:
                                type: string
                                example: IBM
                              varied_manufacturer_part_number:
                                type: string
                                example: X789-A
                              varied_quantity:
                                type: string
                                example: '7.0'
                              varied_price:
                                type: string
                                example: '1500.00'
                              varied_price_ccy:
                                type: string
                                example: GBP
                              varied_uom:
                                type: string
                                example: Each
                              varied_net_total_price:
                                type: string
                                example: '1500.00'
                              varied_net_total_price_ccy:
                                type: string
                                example: GBP
                              created_at:
                                type: string
                                format: date-time
                              updated_at:
                                type: string
                                format: date-time
                              custom_fields:
                                type: object
                                properties:
                                  key:
                                    type: string
                                    example: value
        '401':
          description: unauthorized
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````